Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1042676

Summary: [Docs] [Install] remove rhevm- prefix from command-line utilities
Product: Red Hat Enterprise Virtualization Manager Reporter: Andrew Dahms <adahms>
Component: DocumentationAssignee: Andrew Dahms <adahms>
Status: CLOSED CURRENTRELEASE QA Contact: ecs-bugs
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 3.3.0CC: acathrow, adahms, alonbl, alyoung, gklein, yeylon
Target Milestone: ---   
Target Release: 3.3.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 997341 Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 997341, 1049090, 1049676, 1053298, 1055857, 1059072    
Bug Blocks:    

Description Andrew Dahms 2013-12-13 04:07:37 UTC
+++ This bug was initially created as a clone of Bug #997341 +++

Hello,

rhevm- prefix were the prefix of command-line utilities before the upstream ovirt-engine was introduced.

Then all utilities where renamed to engine- prefix while keeping backward compatibility using symlinks.

[BTW: the choice of engine- and not ovirt-engine- or ovirt- was probably not wise as it is too generic].

There is no reason to keep the legacy names within documentation, so please rename all references of rhevm- to engine- to use the upstream terms, so we can remove the rhevm- prefix in future.

Thanks,

--- Additional comment from Alon Bar-Lev on 2013-08-15 04:15:13 EDT ---

Now I can also see that the rhevm string is used as service, this is not true for a while... should be ovirt-engine.

--- Additional comment from Tim Hildred on 2013-10-27 20:04:03 EDT ---

Reassigning to Jodi Biddle (jbiddle@redhat.com) as I am no longer working on Red Hat Enterprise Virtualization documentation.

Comment 1 Andrew Dahms 2014-01-09 23:41:48 UTC
Documentation Link
------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Installation_Guide/index.html

What Changed
------------------
All references to command line tools starting with 'rhevm-' were changed to 'engine-' in the following topics:

Directory Services Support in Red Hat Enterprise Virtualization [ 9262-573516 ]

Red Hat Enterprise Virtualization Manager Firewall Requirements [ 7850-573518 ]

Manager Installation Overview [ 8653-569325 ]

Configuring Red Hat Enterprise Virtualization Manager [ 22200-569328 ]

Passwords in Red Hat Enterprise Virtualization Manager [ 26701-573519 ]

Preparing a Postgres Database Server for use with Red Hat Enterprise Virtualization Manager [ 22383-569329 ]

Configuring the Manager to use a Manually Configured Local or Remote Postgres Database [ 22364-569330 ]

Removing Red Hat Enterprise Virtualization Manager [ 22354-567803 ]

Populating the ISO Storage Domain [ 7637-573528 ]

VirtIO and Guest Tool Image Files [ 8672-573535 ]

Uploading the VirtIO and Guest Tool Image Files to an ISO Storage Domain
[ 7860-573529 ]

Red Hat Enterprise Virtualization Manager Installation Log Files [ 7861-573532 ]

What is the Domain Management Tool? [ 8673-569332 ]

Syntax for the Domain Management Tool [ 7865-569335 ]

Adding Domains to Configuration [ 8405-569336 ]

Editing a Domain in the Configuration [ 8406-569337 ]

Deleting a Domain from the Configuration [ 8407-569338 ]

Validating Domain Configuration [ 8408-569339 ]

Listing Domains in Configuration [ 8409-569340 ]

Configuration Tool [ 8674-569341 ]

Syntax for engine-config Command [ 7867-569342 ]

Virtual Machine Image Uploader [ 10775-569348 ]

Syntax for the engine-image-uploader Command [ 10776-569349 ]

Creating an OVF Archive That Is Compatible with the Image Uploader
[ 10777-569350 ]

Basic engine-image-uploader Usage Examples [ 10778-569351 ]

ISO Uploader [ 8675-569353 ]

Syntax for engine-iso-uploader Command [ 8412-569354 ]

Specifying an NFS Server [ 8413-569355 ]

Basic ISO Uploader Usage [ 8414-569356 ]

Log Collector [ 8676-570966 ]

Syntax for engine-log-collector Command [ 8434-570967 ]

Basic Log Collector Usage [ 8435-570969 ]

SPICE Proxy Overview [ 22033-569344 ]

Turning on SPICE Proxy [ 21950-569346 ]

Turning Off a SPICE Proxy [ 22032-568259 ]

Updated Revision History:                  [ 21114-564030 ]

NVR
------------------
Red_Hat_Enterprise_Virtualization-Installation_Guide-3.3-en-US-3.3-34

Moving to ON_QA.